New version of 10.6.8 patch

It turns out the original patch, while fixing the drivers for the 5770 and 5870, caused some problems for the older ATI cards, most notably the 2600XT, which some people have running alongside 5xxx series cards.

The new patch keeps your older ATI cards running as well.

Update: The ability to install to a separate volume has been added, so you can run the patch installer from 10.6.7 with your 10.6.8 drive as the destination.

You can find the new patch here.

For installation instructions, see the original post.

If you’d like to uninstall the patch for any reason, here is the uninstaller package.